Manuel de pamrestack(1)

Mise à jour :

NOM
pamrestack – Réarrangement des rangées d’une image Netpbm

SYNOPSIS

pamrestack

[-width=largeur]

[-trim={fill|crop|abort}]

[-verbose]

[fichier_pam]

Les abréviations minimales uniques sont autorisées. Un double tiret au lieu d’un seul peut être utilisé pour indiquer des options. Une espace peut être utilisée au lieu du signe égale pour séparer un nom d’option de sa valeur.

DESCRIPTION

Ce programme fait partie de Netpbm(1).

pamrestack réarrange les pixels d’une image Netpbm en rangées de différentes tailles. Par exemple, si une image a comme largeur 100 pixels et comme hauteur 50 pixels, elle peut être réarrangée pour une largeur de 125 et une hauteur de 40. Dans ce cas, 25 pixels du début de seconde rangée de l’entrée seront déplacés à fin de la première rangée de l’entrée, 50 pixels de la troisième rangée seront déplacés à la fin de la seconde rangée, etc.

Utilisé d’une autre façon, pamrestack arrange toutes les rangées d’entrée en une longue séquence et, comme cela, produit les rangées de sortie dans un ordre FIFO.

L’entrée standard est utilisée si aucun fichier_pam n’est indiqué en entrée.

La sortie est faite sur la sortie standard.

pamrestack fonctionne sur les flux multi-images. Il découpe chaque image du flux de manière indépendante et produit une sortie de flux multi-image.

OPTIONS

En plus des options communes à tous les programmes basés sur libnetpbm (tout particulièrement -quiet, consulter Common Options (index.html#commonoptions) ), pamrestack reconnait les options de ligne de commande suivantes :

-width=largeur
    La largeur de la sortie. Si cette option n’est pas indiquée, la sortie consistera en une seule rangée suffisamment large pour contenir tous les pixels de l’image d’entrée.

-trim={fill|crop|abort}
    Cette option précise ce qui doit être fait quand la nouvelle largeur ne divise pas proprement le nombre de pixels de l’image d’entrée.

fill

    Cette option remplit la dernière rangée avec des pixels noirs si nécessaire (comportement par défaut).

crop

    Cette option supprime la dernière rangée partielle. Si cela signifie que rien ne peut être produit, le programme échoue.

abort

    Cette option provoque l’échec du programme.

-verbose
    Cette option affiche des informations de traitement sur la sortie standard d’erreur.

UTILISATION

pamrestack est un éditeur générique avec de nombreuses possibilités d’utilisation.

–   pamrestack peut réarranger en rectangles des images d’une seule dimension produites par des programmes tels que ppmhist(1) et pamseq(1). Cela rend la sortie plus facile à examiner avec un afficheur. Inversement, pamrestack peut être utilisé pour convertir une image normale rectangulaire en une grande rangée ou une grande colonne si cela est souhaitable pour une compression, une conversion ou une analyse.

–   pamrestack peut réparer des images altérées par une valeur de largeur incorrecte dans l’en-tête. Les images capturées à partir du périphérique de tampon de trame sont souvent sujettes à ce problème.

–   pamrestack peut être utilisé avec pamdice(1), pamundice(1), pamcat(1), etc., pour diviser et combiner des images lors de processus d’entrelacement.

EXEMPLES

–   Réarrangement d’une sortie unidimensionnelle de pamseq(1) en un carré :

     pamseq 3 255 | pamrestack -width=4096

–   Combinaison de deux fichiers, de 600 pixels de largeur chacun, un pour les rangées impaires et l’autre pour les rangées paires, pour construire une image entrelacée :

     pamcat -leftright oddrows.ppm evenrows.ppm | pamrestack -width=600

–   Comme ci-dessus, mais inversion de tous les pixels dans les rangées paires de gauche à droite pour produire des entrelacements en serpentin :

       pamflip -leftright evenrows.ppm |     pamcat -leftright oddrows.ppm - |       pamrestack -width 600

VOIR AUSSI
pamseq(1), ppmhist(1), pnmshear(1), pamscale(1), pamdeinterlace(1), pamdice(1), pamundice(1), pamcat(1), pam(1)

HISTORIQUE

pamrestack est apparu dans Netpbm 10.99 (juin 2022).

AUTEUR

Akira F. Urushibata. Contribution de l'auteur au domaine public.

SOURCE DU DOCUMENT
Cette page de manuel a été générée par l'outil « makeman » de Netpbm depuis une source HTML. La documentation principale est à

    http://netpbm.sourceforge.net/doc/pamrestack.html

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.